Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --request PATCH \
--url https://apigw.ipxo.com/ecommerce/public/{user_id}/cart/{cart_uuid}/addresses/{customerAddress_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"line_one": "pp",
"line_two": "bogyghcbygqhfazvmxhkxh",
"city": "kpfioeb",
"postcode": "onw",
"province_code": "yasbd",
"contact_email": "[email protected]",
"vat_number": "dh",
"company_code": "fuaxnrcthlciqeuskawkl",
"first_name": "skqwbjfd",
"last_name": "z",
"company_name": "lffqqu",
"contact_phone": "zvnvykjkqzvh"
}
'import requests
url = "https://apigw.ipxo.com/ecommerce/public/{user_id}/cart/{cart_uuid}/addresses/{customerAddress_id}"
payload = {
"line_one": "pp",
"line_two": "bogyghcbygqhfazvmxhkxh",
"city": "kpfioeb",
"postcode": "onw",
"province_code": "yasbd",
"contact_email": "[email protected]",
"vat_number": "dh",
"company_code": "fuaxnrcthlciqeuskawkl",
"first_name": "skqwbjfd",
"last_name": "z",
"company_name": "lffqqu",
"contact_phone": "zvnvykjkqzvh"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
line_one: 'pp',
line_two: 'bogyghcbygqhfazvmxhkxh',
city: 'kpfioeb',
postcode: 'onw',
province_code: 'yasbd',
contact_email: '[email protected]',
vat_number: 'dh',
company_code: 'fuaxnrcthlciqeuskawkl',
first_name: 'skqwbjfd',
last_name: 'z',
company_name: 'lffqqu',
contact_phone: 'zvnvykjkqzvh'
})
};
fetch('https://apigw.ipxo.com/ecommerce/public/{user_id}/cart/{cart_uuid}/addresses/{customerAddress_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"uuid": "a13651d1-ca24-41ad-a5d7-a0351dc3e323",
"first_name": "Richard",
"last_name": "Hane",
"company_name": "Marks, Lindgren and Larkin",
"vat_number": "34247",
"vat_validation_status": "invalid",
"vat_validated_at": "2025-01-01T00:00:00.0000000+00:00",
"line_one": "97515 Mann Loop",
"line_two": "6191 Stark Trace Suite 868",
"line_three": "2127 Kuhic Ferry Suite 952",
"city": "Lemkeland",
"province_code": "VC",
"country_code": "BE",
"postcode": "67555",
"contact_email": "[email protected]",
"contact_phone": "310-560-6037",
"company_code": "49924941"
}
}Update a Cart Address.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The ID of the user.
The ID of the customerAddress.
Must not be greater than 255 characters.
"pp"
Must not be greater than 255 characters.
"kpfioeb"
Must not be greater than 20 characters.
"onw"
Must not be greater than 255 characters.
"bogyghcbygqhfazvmxhkxh"
Must not be greater than 10 characters.
"yasbd"
Must be a valid email address. Must not be greater than 255 characters.
Must not be greater than 50 characters.
"dh"
Must not be greater than 50 characters.
"fuaxnrcthlciqeuskawkl"
Must not be greater than 255 characters.
"skqwbjfd"
Must not be greater than 255 characters.
"z"
Must not be greater than 255 characters.
"lffqqu"
Must not be greater than 50 characters.
"zvnvykjkqzvh"
Show child attributes